import 'package:go_router/go_router.dart';

import '../../features/auth/presentation/auth_gate_screen.dart';
import '../../features/auth/presentation/login_screen.dart';
import '../../features/directory/presentation/directory_screen.dart';

GoRouter createAppRouter() {
  return GoRouter(
    initialLocation: AuthGateScreen.routePath,
    routes: [
      GoRoute(
        path: AuthGateScreen.routePath,
        builder: (context, state) => const AuthGateScreen(),
      ),
      GoRoute(
        path: LoginScreen.routePath,
        builder: (context, state) => const LoginScreen(),
      ),
      GoRoute(
        path: DirectoryScreen.routePath,
        builder: (context, state) => const DirectoryScreen(),
      ),
    ],
  );
}
